/***************************************************************************
 $RCSfile: dlgaccess.h,v $
 -------------------
 cvs         : $Id: dlgaccess.h,v 1.1 2003/02/18 00:42:12 aquamaniac Exp $
 begin       : Mon Feb 17 2003
 copyright   : (C) 2003 by Martin Preuss
 email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DLGACCESS_H
#define DLGACCESS_H


#include "dlgaccess_base.h"


class dlgAccess: public dlgAccessBase {
  Q_OBJECT
private:
  unsigned int _rights;
  unsigned int _default;

  void _putSettings();
  void _getSettings();
public:
  dlgAccess(unsigned int rights,
	    unsigned int defaultrights,
	    QWidget * parent=0,
	    const char * name=0,
	    bool modal=FALSE,
	    WFlags f=0);
  ~dlgAccess();

  unsigned int rights() const { return _rights;};

public slots:
  void slotOk();
  void slotAbort();
  void slotDefault();
  void closeEvent(QCloseEvent *e);
};



#endif // DLGACCESS_H



