/***************************************************************************
 $RCSfile: dlgcheckreader.h,v $
 -------------------
 cvs         : $Id: dlgcheckreader.h,v 1.3 2003/02/17 04:19:40 aquamaniac Exp $
 begin       : Thu Dec 12 2002
 copyright   : (C) 2002 by Martin Preuss
 email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/



#ifndef DLGCHECKREADER_H
#define DLGCHECKREADER_H "$Id"


#include "dlgcheckreader_base.h"
#include <kprocess.h>


/**
 *
 */
class DlgCheckReader: public dlgCheckReaderBase {
  Q_OBJECT
private:
  KProcess *_process;
  QString _errLog;
public:
  DlgCheckReader(KProcess *proc,
		 QWidget* parent=0,
		 const char* name = 0,
		 WFlags fl = 0 );
  ~DlgCheckReader();

  void finished(const QString &result);

public slots:
  void slotReceivedStdOut(KProcess *proc,
			  char *buffer,
			  int buflen);
  void slotReceivedStdErr(KProcess *proc,
			  char *buffer,
			  int buflen);
  void slotAbort();
  void slotProcessExited(KProcess *proc);
  void slotFullLog();

signals:
  void signalAborted(DlgCheckReader*, KProcess*);
  void signalProcessExited(DlgCheckReader*, KProcess*);
};


#endif


