/***************************************************************************
 $RCSfile: dlgservice.h,v $
                             -------------------
    cvs         : $Id: dlgservice.h,v 1.3 2003/02/17 04:19:40 aquamaniac Exp $
    begin       : Wed Oct 09 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DLGSERVICE_H
#define DLGSERVICE_H


#include <qcombobox.h>
#include <chipcard.h>

#include "dlgservice_base.h"

/**
 *
 */
class dlgService: public dlgServiceBase {
    Q_OBJECT
private:
    bool _changed;
    string _addr;
    unsigned int _port;
    int _type;

    bool _readStruct(int tp, const string &address, unsigned int port);
    bool _writeStruct(int &tp, string &address, unsigned int &port);

public:
  dlgService(int tp,
	     const string &addr,
	     unsigned int port,
	     QWidget* parent=0,
	     const char* name = 0,
	     bool modal = FALSE,
	     WFlags fl = 0 );
  ~dlgService();

  bool init();
  bool service(int &tp, string &address, unsigned int &port);
protected slots:
  void slotFinished();
  void slotAbort();
  void slotChanged(const QString &t);
  void slotTypeChanged(int);

};




#endif // DLGSERVICE_H

