/***************************************************************************
  $RCSfile: dlgterm.h,v $
                             -------------------
    cvs         : $Id: dlgterm.h,v 1.4 2003/02/17 18:44:12 aquamaniac Exp $
    begin       : Sun Mar 17 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DLGTERM_H
#define DLGTERM_H

#include <list>
#include <string>
#include <chipcard.h>
#include <chipcard/ctcore_public.h>

#include "dlgscan_base.h"
#include "dlgterm_base.h"
#include "dlgcheckreader.h"


/**
 *
 */
class dlgTerm: public dlgTermBase {
    Q_OBJECT
private:
  CTREADERDESCRIPTION *_readers;
  CTREADERDESCRIPTION *_reader;
  CONFIGGROUP *_drivers;
  dlgScanBase *_dlgScan;
  bool _changed;

  bool _addFile(const string &f);
  void _getFileList(const string &dir);
  void _getLibList();
  bool _readStruct(CTREADERDESCRIPTION *ds);
  bool _writeStruct(CTREADERDESCRIPTION *ds);
  bool _selectComboText(QComboBox *b, const QString &t);
  void _setComboText(QComboBox *b, const QString &t);
  bool _compare(const string &s1, const string &s2);
  bool _setReaderTypes();
  bool _setPorts(const QString &s);

public:
  static list<string> ctapiList;

  dlgTerm(CTREADERDESCRIPTION *readers,
	  CTREADERDESCRIPTION *term,
	  CONFIGGROUP *drivers,
	  QWidget* parent=0,
	  const char* name = 0,
	  bool modal = FALSE,
	  WFlags fl = 0 );
  ~dlgTerm();

  bool init();
  bool saveReader(CTREADERDESCRIPTION *ts);

protected slots:
  void slotFinished();
  void slotAbort();
  void slotTest();
  void slotChanged(const QString &t);
  void slotTypeChanged(const QString &t);
  void slotChanged(int i);
  void slotFilename();
  void slotTestExited(DlgCheckReader *, KProcess*);
  void slotTestAborted(DlgCheckReader *, KProcess *);

public slots:
  void closeEvent(QCloseEvent *e);

};



#endif



