/***************************************************************************
 $RCSfile: kmedicalcard.cpp,v $
                             -------------------
    cvs         : $Id: kmedicalcard.cpp,v 1.5 2003/01/13 00:31:29 aquamaniac Exp $
    begin       : Wed Dec 26 2001
    copyright   : (C) 2001 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#define PRG_VERSION "0.2"


#include <chipcard.h>
#include <chameleon/logger.h>

#include "dlgkvk.h"

#if KDE_GENERATION<3
# include <kapp.h>
#else
# include <kapplication.h>
#endif
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#ifndef trUtf8
# define trUtf8 tr
#endif


static const char *description =
	I18N_NOOP("kMedicalCard");
	
	
static KCmdLineOptions options[] ={
    { 0, 0, 0 }
    // INSERT YOUR COMMANDLINE OPTIONS HERE
};


int main(int argc, char *argv[]){

    KAboutData aboutData( "kmedicalcard", I18N_NOOP("kMedicalCard"),
                          PRG_VERSION, description, KAboutData::License_GPL,
                          "(c) 2002, Martin Preuss", 0, 0, "martin@libchipcard.de");
    aboutData.addAuthor("Martin Preuss",0, "martin@libchipcard.de");
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

    KApplication a;
    dlgKVK *dlgk;

    if (Logger_Open("kmedicalcard",
		    "",
		    LoggerTypeConsole,
		    LoggerFacilityUser)) {
      fprintf(stderr,"Could not start logging, aborting.\n");
      return 2;
    }
    //Logger_SetLevel(Debug);

    dlgk=new dlgKVK(0,0,TRUE);
    a.setMainWidget(dlgk);

    dlgk->show();
    if (!dlgk->init())
        return 2;
    return a.exec();
}




