/***************************************************************************
  $RCSfile: dlgpcsc.h,v $
                             -------------------
    cvs         : $Id: dlgpcsc.h,v 1.2 2002/12/28 04:15:39 aquamaniac Exp $
    begin       : Tue Aug 06 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DLGPCSC_H
#define DLGPCSC_H

#include <string>
#include <chipcard.h>
#include "dlgpcscbase.h"
#include "readerconf.h"


/**
 *
 */
class dlgPCSC: public dlgPCSCBase {
    Q_OBJECT
private:
    string _cfgFileName;
    bool _changed;
    ReaderConf _cfg;

    string _makeNextName(const string &name);

public:
    dlgPCSC(const string &cfgfilename,
            QWidget* parent = 0,
            const char* name = 0,
            WFlags fl = 0 );
    ~dlgPCSC();
    bool init();

protected:
    ReaderEntry *currentReader();
    void updateList();
    void setChanged(bool ch);
    bool prepareExit();

protected slots:
    void slotAdd();
    void slotRemove();
    void slotEdit();
    void slotCopy();
    void slotAbort();
    void slotSave();
    void slotFinished();
public slots:
    void closeEvent(QCloseEvent *e);


};


#endif


