/***************************************************************************
  $RCSfile: dlgreader.h,v $
                             -------------------
    cvs         : $Id: dlgreader.h,v 1.2 2002/12/28 04:15:39 aquamaniac Exp $
    begin       : Tue Aug 06 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DLGREADER_H
#define DLGREADER_H

#include <qcombobox.h>

#include "dlgreaderbase.h"
#include "readerconf.h"



/**
 *
 */
class dlgReader: public dlgReaderBase {
    Q_OBJECT
private:
    bool _changed;
    ReaderConf *_cfg;
    ReaderEntry *_reader;

    bool _selectComboText(QComboBox *b, const string &t);
    void _setComboText(QComboBox *b, const string &t);
    bool _readStruct();
    bool _writeStruct(ReaderEntry &ts);

public:
    dlgReader(ReaderConf *cfg,
              ReaderEntry *reader,
              QWidget* parent=0,
              const char* name = 0,
              bool modal = FALSE,
              WFlags fl = 0 );
    ~dlgReader();
    bool init();

protected slots:
    void slotFinished();
    void slotAbort();
    void slotChanged(const QString &t);
    void slotFilename();

public slots:
    void closeEvent(QCloseEvent *e);

};



#endif // DLGREADER_H



