/***************************************************************************
  $RCSfile: main.cpp,v $
                             -------------------
    cvs         : $Id: main.cpp,v 1.2 2002/12/28 04:15:39 aquamaniac Exp $
    begin       : Sat Mar 16 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de


 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#define PRG_VERSION "0.1"


#include "chipcard.h"

#if KDE_GENERATION<3
# include <kapp.h>
#else
# include <kapplication.h>
#endif

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "dlgpcsc.h"


#ifndef trUtf8
# define trUtf8 tr
#endif


static const char *description =
    I18N_NOOP("Tool to setup your chip card readers under PC/SC");
	
	
static KCmdLineOptions options[] ={
    { 0, 0, 0 }
    // INSERT YOUR COMMANDLINE OPTIONS HERE
};


int main(int argc, char *argv[]){
    KAboutData aboutData("kpcscsetup", I18N_NOOP("kPCSCSetup"),
                         PRG_VERSION,
                         description,
                         KAboutData::License_GPL,
                         "(c) 2002, Martin Preuss",
                         0,
                         0,
                         "martin@libchipcard.de");
    aboutData.addAuthor("Martin Preuss",0, "martin@libchipcard.de");
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

    KApplication a;

    dlgPCSC *dlg;

    dlg=new dlgPCSC("/etc/reader.conf",
                    0,0,
                    Qt::WType_TopLevel|Qt::WStyle_ContextHelp);
    a.setMainWidget(dlg);
    dlg->show();
    if (!dlg->init())
	return 2;
    return a.exec();
}





